Bug 98852 - CAN-2003-0192: mod_ssl renegotiation issue
CAN-2003-0192: mod_ssl renegotiation issue
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
http://cve.mitre.org/cgi-bin/cvename....
: Security
: 101784 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-09 11:46 EDT by Joe Orton
Modified: 2007-04-18 12:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-04 03:40:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2003-07-09 11:46:20 EDT
Description of problem:
Certain sequences of per-directory renegotiations and the SSLCipherSuite
directive being used to upgrade from a weak ciphersuite to a strong one could
result in the weak ciphersuite being used in place of the strong one.

Version-Release number of selected component (if applicable):
all versions of mod_ssl, all versions of httpd before 2.0.47
Comment 1 Mark J. Cox (Product Security) 2003-08-08 12:02:17 EDT
*** Bug 101784 has been marked as a duplicate of this bug. ***
Comment 2 Mark Blevis 2003-08-08 12:12:16 EDT
This bug was opened on July 9 to address a security issue and it remains 
a "NEW" status issue.  When can we expect movement on this so that Redhat 
users and RHN subscribers aren't being encouraged to use outdated and insecure 
software packages?
Comment 3 Mark J. Cox (Product Security) 2003-08-09 13:03:41 EDT
I guess it should really be "assigned" since we did start through our internal
errata process which will lead to an errata.  This issue is classed as a low
priority however as the SSL renegotiation options were for a long time
considered experimental and are rarely used.  
Comment 4 Mark J. Cox (Product Security) 2003-09-04 03:40:32 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-240.html

Note You need to log in before you can comment on or make changes to this bug.